/* CPUID */
void cpuid(char * str) {

	int eax, ebx, ecx, edx;
	int op, i;
	for(op = 0x80000002; op < 0x80000005; op++) {
		asm("cpuid" : "=a"(eax), "=b"(ebx), "=c"(ecx), "=d"(edx) : "0"(op));

		for(i = 0; i < 32; i += 8)
			*str++ = (eax >> i) & 0xff;
		for(i = 0; i < 32; i += 8)
			*str++ = (ebx >> i) & 0xff;
		for(i = 0; i < 32; i += 8)
			*str++ = (ecx >> i) & 0xff;
		for(i = 0; i < 32; i +=8 )
			*str++ = (edx >> i) & 0xff;
	}
}
